<?php

  get_header();

?>

<div class="javes-carousel-wrapper">

  <div class="owl-carousel javes-carousel">

    <?php

      $javesHtml = '';

      $javesQueryArgs = array(
        'post_type' => 'post',
        'posts_per_page' => get_theme_mod('javes_carousel_items', 5),
        'meta_key' => '_thumbnail_id'
      );

      $query = new WP_Query($javesQueryArgs);

      while ( $query->have_posts() ) : $query->the_post();

        global $post;

        $javesThumbnailIMG = wp_get_attachment_image_src( get_post_thumbnail_id(), 'javes_carousel_thumbnail');
        $javesThumbnailALT = (get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true )) ? get_post_meta( get_post_thumbnail_id(), '_wp_attachment_image_alt', true ) : get_the_title() ;

        $javesHtml .= '<div>';
        $javesHtml .= '<img src="'.esc_url($javesThumbnailIMG[0]).'" alt="'.esc_attr($javesThumbnailALT).'">';
        $javesHtml .= '<h3><a href="'.esc_url(get_the_permalink()).'">' . esc_attr(get_the_title()) . '</a></h3>';
        $javesHtml .= '</div>';

      endwhile;
      wp_reset_postdata();

      echo $javesHtml;

    ?>

  </div>

</div>

<div id="content" class="container">
  <div class="row">
    <div class="col-md-12">

      <?php

        if ( have_posts() ) :

          while ( have_posts() ) :

            the_post();
            get_template_part( 'template-parts/content' );

          endwhile;

        else:

          esc_html_e( 'Sorry, no post found.', 'javes' );

        endif;

        get_template_part( 'template-parts/pagination' );

      ?>

    </div>
  </div>
</div>

<?php

  get_footer();

?>
